#
# * NON-GEOSTATIONARY EQUATORIAL-RING PROPOSALS
# *
# * O3b
# *
# * Named for 'the other three billion people' without good network service.
# *
# * Announced with much publicity in September 2008. Some investment from
# * Google and others. Not yet built; first launch expected 2010.
# *
# * See:
# *  Sea Launch signs launch agreement with O3b Networks, press release,
# * 23 September 2008.
# *
# * See also http://www.o3bnetworks.com/
#
# this script for SaVi by Lloyd Wood (lloydwood@users.sourceforge.net)
# http://www.ee.surrey.ac.uk/Personal/L.Wood/software/SaVi/
#
# $Id: o3b-networks.tcl,v 1.4 2009/02/25 11:04:10 lloydwood Exp $

set NUM_SATS 16

# setup orbital elements
set a [expr 7825.0+$RADIUS_OF_EARTH]
set e 0.0
set inc 0.0
set omega 0.0
set T_per [expr 2 * $PI * pow($a,1.5) / sqrt($MU)]

# We're told coverage between 45 degrees of latitude.
# Ka-band, so a relatively high mask angle can be expected.
set coverage_angle 30.0

satellites GV_BEGIN

set T [expr $T_per ]
for {set j 0} {$j < $NUM_SATS} {incr j} {
	set Omega [expr $j * 360.0 / $NUM_SATS]
	satellites LOAD $a $e $inc $Omega $omega $T "03b Networks-$j"
}
satellites GV_END
